﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.Graphics;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using SimpleSample;
using SimpleSample.Droid;
using Syncfusion.XForms.Android.Border;
using Syncfusion.XForms.Border;
using Syncfusion.XForms.Buttons;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;

[assembly : ExportRenderer(typeof(CustomButton), typeof(CustomButtonRenderer))]
namespace SimpleSample.Droid
{
    public class CustomButtonRenderer : SfBorderRenderer
    {
        public CustomButtonRenderer(Context context) : base(context)
        {
        }

        protected override void OnElementChanged(ElementChangedEventArgs<Xamarin.Forms.View> e)
        {
            base.OnElementChanged(e);

            if (Element != null && Element is SfButton)
            { 
                SfButton button = Element as SfButton;

                if (!button.HasShadow)
                {
                    SetLayerType(LayerType.Hardware, new Paint());
                }
            }
        }
    }
}